Create Server
curl --request POST \
--url https://servers.flashrdp.com/api/resourcePack/{resourcePackId}/{createId} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memory": 10,
"storage": 20,
"cpuCores": 60
}
'import requests
url = "https://servers.flashrdp.com/api/resourcePack/{resourcePackId}/{createId}"
payload = {
"memory": 10,
"storage": 20,
"cpuCores": 60
}
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({memory: 10, storage: 20, cpuCores: 60})
};
fetch('https://servers.flashrdp.com/api/resourcePack/{resourcePackId}/{createId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "154b6d58-4385-4288-a637-a71f51cade3d"
}This response has no body data.{
"errors": [
"This is an error returned from the API",
"This is another error return from the API"
]
}{
"errors": [
"This is an error returned from the API",
"This is another error return from the API"
]
}This response has no body data.Create Server
Use this endpoint to create a server based on a resource pack. Before running the create method, you can use the other related endpoints to retrieve the required values, such as the resource pack ID and create ID to include in your request.
POST
/
resourcePack
/
{resourcePackId}
/
{createId}
Create Server
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Body
application/json
Response
Last modified on June 20, 2026
⌘I